/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.getSymbol("Ejemplo_2").getSymbol("cubo").stop(0001);
         sym.getSymbol("Ejemplo_3").getSymbol("ruleta_1").stop(0001);

      });
      //Edge binding end

      

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_ejemplo}", "click", function(sym, e) {
         sym.getSymbol("ejemplo").play(0001);
         sym.$("btn_eje_1").fadeOut("slow");
         sym.$("globo").fadeOut("slow");
         sym.$("globo_1").fadeOut("slow");
          sym.$("hotspot_ejemplo").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("nino");
   //Edge symbol end:'nino'

   //=========================================================
   
   //Edge symbol: 'ruleta_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         sym.play(0001);

      });
      //Edge binding end

   })("ruleta_1");
   //Edge symbol end:'ruleta_1'

   //=========================================================
   
   //Edge symbol: 'Ejemplo_2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar2}", "click", function(sym, e) {
         sym.playReverse(0300);
         sym.getComposition().getStage().$("Ejemplo_1").fadeIn("slow");
         sym.getComposition().getStage().$("Ejemplo_3").fadeIn("slow");
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getSymbol("cubo").stop(0001);
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("Ejemplo_2");
   //Edge symbol end:'Ejemplo_2'

   //=========================================================
   
   //Edge symbol: 'ejemplo_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0300);
         sym.getComposition().getStage().$("Ejemplo_3").fadeIn("slow");
         sym.getComposition().getStage().$("Ejemplo_2").fadeIn("slow");
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();

      });
      //Edge binding end

   })("ejemplo_1");
   //Edge symbol end:'ejemplo_1'

   //=========================================================
   
   //Edge symbol: 'Ejemplo3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         sym.playReverse(0300);
         sym.getComposition().getStage().$("Ejemplo_1").fadeIn("slow");
         sym.getComposition().getStage().$("Ejemplo_2").fadeIn("slow");
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getSymbol("ruleta_1").stop(0001);

      });
      //Edge binding end

   })("Ejemplo3");
   //Edge symbol end:'Ejemplo3'

   //=========================================================
   
   //Edge symbol: 'globo'
   (function(symbolName) {   
   
   })("globo");
   //Edge symbol end:'globo'

   //=========================================================
   
   //Edge symbol: 'texto_int_1'
   (function(symbolName) {   
   
   })("texto_int_1");
   //Edge symbol end:'texto_int_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'cubo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("cubo");
   //Edge symbol end:'cubo'

   //=========================================================
   
   //Edge symbol: 'texto_int_2'
   (function(symbolName) {   
   
   })("texto_int_2");
   //Edge symbol end:'texto_int_2'

   //=========================================================
   
   //Edge symbol: 'texto_int_3'
   (function(symbolName) {   
   
   })("texto_int_3");
   //Edge symbol end:'texto_int_3'

   //=========================================================
   
   //Edge symbol: 'btn_eje_1'
   (function(symbolName) {   
   
   })("btn_eje_1");
   //Edge symbol end:'btn_eje_1'

   //=========================================================
   
   //Edge symbol: 'btn_eje_2'
   (function(symbolName) {   
   
   })("btn_eje_2");
   //Edge symbol end:'btn_eje_2'

   //=========================================================
   
   //Edge symbol: 'btn_eje_3'
   (function(symbolName) {   
   
   })("btn_eje_3");
   //Edge symbol end:'btn_eje_3'

   //=========================================================
   
   //Edge symbol: 'globo_1'
   (function(symbolName) {   
   
   })("globo_1");
   //Edge symbol end:'globo_1'

   //=========================================================
   
   //Edge symbol: 'ejemplo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(0300);
         sym.getComposition().getStage().$("btn_eje_1").fadeIn("slow");
         sym.getComposition().getStage().$("globo").fadeIn("slow");
         sym.getComposition().getStage().$("globo_1").fadeIn("slow");
         sym.getComposition().getStage().$("hotspot_ejemplo").show();

      });
      //Edge binding end

   })("ejemplo");
   //Edge symbol end:'ejemplo'

   //=========================================================
   
   //Edge symbol: 'linearoaj'
   (function(symbolName) {   
   
   })("linearoaj");
   //Edge symbol end:'linearoaj'

   //=========================================================
   
   //Edge symbol: 'lineazul'
   (function(symbolName) {   
   
   })("lineazul");
   //Edge symbol end:'lineazul'

})(jQuery, AdobeEdge, "EDGE-94063035");